<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout2}"
>
<head>
    <meta charset="UTF-8" />
    <title>Realisasi Pendapatan Terkait</title>
</head>
<body>
<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar_finance::sidebar_finance" th:remove="tag"> sidebar </div>


    <main class="bd-main-xxl">
        <main class="bd-main-xxl">
            <div class="row">
                <div class="col-md-12">
                    <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                        Realisasi Pendapatan Terkait
                    </div>
                </div>
            </div>

            <div class="alert alert-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="alert alert-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>
                    Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya.
                    hapus anggaran terlebih dahulu sebelum menghapus departemen ini..
                </p>
            </div>

            <form method="get">
                <div class="row">
                    <div class="col-md-2">
                        Show <span sd:page-size-selector="javascript"></span>
                    </div>

                    <form method="get">
                        <div class="col-md-6" align="right">
                            <div class="mb-3">
                                <select class="form-select" id="selectsatu" name="periodeAnggaran">
                                    <option th:each="data : ${periodeAnggaranList}"
                                            th:selected="(${data} == *{periodeAnggaranSelected})"
                                            th:text="${'('+ data.kodePeriodeAnggaran +')'  + '       -       ' +  data.namaPeriodeAnggaran}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                                <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
                            </div>
                        </div>
                        <div class="col-md-3" align="right">
                            <input
                                    class="form-control me-2"
                                    type="text"
                                    placeholder="Search"
                                    name="search"
                                    th:value="${search}"
                                    aria-label="Search"
                            />

                        </div>
                        <div class="col-md-1" align="right">
                            <button class="btn btn-primary" type="submit">Search</button>
                        </div>
                    </form>
                </div>
                <br />
            </form>

            <div class="row">
                <div class="col-md-12">
                    <div class="tableFixHead">
                        <!-- ... bagian HTML lainnya ... -->

                        <table class="table table-hover table-striped small">
                            <thead class="table-dark" style="--bs-table-bg: #15408d">
                            <tr>
                                <th scope="col" style="width: 10px" class="text-end">#</th>
                                <th scope="col">Instansi</th>
                                <th scope="col">Keterangan</th>
                                <th scope="col" class="text-center">Satuan</th>
                                <th scope="col" class="text-end">Nominal Satuan</th>
                                <th scope="col" class="text-end">Nominal Total</th>
                                <th scope="col" colspan="2" class="text-center">Realized</th>
                            </tr>
                            </thead>
                            <tbody class="align-middle">
                            <tr th:each="data, row : ${estimasiList}">
                                <td class="text-end" th:text="${(row.index + 1) + (estimasiList.number * estimasiList.size)}">1.</td>
                                <td th:text="${data.instansi.nama}">-</td>
                                <td th:text="${data.keterangan}">-</td>
                                <td class="text-center" th:text="${data.satuan}">-</td>
                                <td class="text-end" th:text="${data.nominalSatuan}">-</td>
                                <td class="text-end" th:text="${data.nominalTotal}">-</td>
                                <td class="text-center">
                                    <a
                                            title="edit"
                                            th:href="@{/transaksi/pendapatan_terkait/add(id = ${data.getId()})}"
                                            class="link-success"
                                    >+ In
                                    </a>
                                </td>
                                <td class="text-center">
                                    <a
                                            title="edit"
                                            th:href="@{/transaksi/pengeluaran_terkait/add(id = ${data.getId()})}"
                                            class="link-danger"
                                    >+ Out
                                    </a>
                                </td>
                            </tr>
                            </tbody>
                        </table>

                        <!-- ... bagian HTML lainnya ... -->

                    </div>
                    <br />

                    <nav aria-label="Page navigation example">
                        <ul class="pagination" sd:pagination="full"></ul>
                    </nav>
                </div>
            </div>
        </main>

    </main>
</main>
</body>
</html>